
@{
    ViewData["Title1"] = "PPDB";
    ViewData["Title"] = "Pendaftaran";
}
<div class="section-full content-inner">
    <div class="container">
        <div class="row">
            <div class="col-lg-4 col-md-5 col-sm-12">
                <div class="section-head m-b30">
                    <h5 class="title-small">Alur PPDB</h5>
                    <div class="dlab-separator bg-primary"></div>
                    <h2 class="title">Penerimaan Peserta Didik Baru 2022/2023</h2>
                </div>
                <ul class="contact-question">
                    <li>
                        <i class="fa fa-user-plus"></i>
                        <h4 class="title">Pendaftaran</h4>
                        <p>Seluruh calon siswa/siswi melakukan pendaftaran online melalui website</p>
                    </li>
                    <li>
                        <i class="fa fa-money"></i>
                        <h4 class="title">Bayar Formulir</h4>
                        <p>Melakukan pembayaran formulir apabila sudah melakukan pengisian data</p>
                    </li>
                    <li>
                        <i class="fa fa-pencil"></i>
                        <h4 class="title">Isi Formulir</h4>
                        <p>Anda akan diarahkan untuk melakukan pengisian formulir data calon siswa</p>
                    </li>
                    <li>
                        <i class="fa fa-tasks"></i>
                        <h4 class="title">Test Wawancara & Observasi</h4>
                        <p>Calon siswa/siswi akan dihubungi oleh panitia untuk melakukan test secara online</p>
                    </li>
                    <li>
                        <i class="fa fa-money"></i>
                        <h4 class="title">Bayar Biaya Pendidikan</h4>
                        <p>Orang tua calon peserta didik melakukan pembayaran biaya penidikan sesuai yang ditentukan sekolah</p>
                    </li>
                    <li>
                        <i class="fa fa-bullhorn"></i>
                        <h4 class="title">Pengumuman</h4>
                        <p>Calon peserta didik yang diterima akan diumumkan melalui email dan website sekolah</p>
                    </li>
                </ul>
            </div>
            <div class="col-lg-8 col-md-7 col-sm-12 m-b30">
                <form id="FormRegister" class="needs-validation contact-box dzForm" novalidate>
                    <h3 class="title-box">Register Calon Peserta Didik Baru</h3>
                    <div class="dzFormMsg m-b20"></div>
                    <input hidden id="NoPanitiaPpdb" value="@ViewBag.webnopanitiappdb" />
                    <input type="hidden" value="Contact" name="dzToDo">
                    <div class="row">
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>Jenis Kategori</label>
                                <select class="form-control" name="IdJenisKategoriPendaftaran" id="IdJenisKategoriPendaftaran" data-input="wajib" label="Jenis Kategori" required>
                                    <option value="">Select One</option>
                                </select>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6" id="divIdUnit" style="display:none;">
                            <div class="form-group">
                                <label>Jenjang Pendidikan</label>
                                <select class="form-control" name="IdUnit" id="IdUnit" data-input="wajib" label="Jenjang Pendidikan" required>
                                    <option value="">Select One</option>
                                </select>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6" id="divIdKelas" style="display:none;">
                            <div class="form-group">
                                <label>Kelas</label>
                                <select class="form-control" id="IdPpdbKelas" name="IdPpdbKelas" data-input="wajib" label="Kelas" required>
                                    <option value="">Select One</option>
                                </select>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6" id="divIdJenisPendaftaran" style="display:none;">
                            <div class="form-group">
                                <label>Jenis Daftar</label>
                                <select class="form-control" name="IdJenisPendaftaran" data-input="wajib" label="Jenis Daftar" required>
                                </select>
                                <small id="htmlInfoSK" style="display:none"> <a href="javascript:void(0);" onclick="ModalSaudaraKandungInfo()" style="cursor:pointer;">Lihat Saudara Saya</a></small>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 pb-4" id="divIdJalurPendaftaran" style="display:none;">
                            <label>Jalur Daftar</label>
                            <select class="form-control" id="IdJalurPendaftaran" name="IdJalurPendaftaran" data-input="wajib" label="Jalur Daftar" required>
                            </select>
                            @* <small id="infoPrestasi" style="display:none;"><a href="javascript:void(0);" onclick="ModalPrestasis(true);" style="cursor:pointer;">Lihat Prestasi Saya</a> </small> *@
                            <div class="invalid-feedback">
                                Kolom Wajib diisi.
                            </div>
                        </div>
                        <div id="divNisn" class="col-lg-6 col-md-6" style="display:none"></div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>NIK Orang Tua</label>
                                <div class="input-group">
                                    <input id="NikOrtu" type="number" name="NikOrtu" class="form-control" onkeyup="CekNik(this)" placeholder="Ketik NIK Orang Tua..." data-input="wajib" label="NIK Ortu" required>
                                </div>
                                <small class="text-success" id="InfoNikSukses" style="display:none;">Berhasil NIK Ditemukan ! <a href="javascript:void(0);" onclick="DetailNikOrtu()"><i>(detail)</i></a></small>
                                <small class="text-danger" id="InfoNikSalah">
                                    *Pastikan NIK Orang Tua sesuai dengan KK <br />
                                </small>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>Nama Calon Peserta Didik</label>
                                <div class="input-group">
                                    <input id="Nama" type="text" name="Nama" class="form-control" placeholder="Ketik Nama Calon Peserta Didik..." data-input="wajib" label="Nama Siswa" required>
                                    <div class="invalid-feedback">
                                        Kolom Wajib diisi.
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>Jenis Kelamin</label>
                                <select class="form-control" name="KdJenisKelamin" id="KdJenisKelamin" data-input="wajib" label="Jenis Kelamin" required>
                                    <option value="">Select One</option>
                                    <option value="L">Laki - Laki</option>
                                    <option value="P">Perempuan</option>
                                </select>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>Tempat Lahir</label>
                                <div class="input-group">
                                    <input id="TempatLahir" type="text" name="TempatLahir" class="form-control" placeholder="Ketik Tempat Lahir..." data-input="wajib" label="Tempat Lahir" required>
                                </div>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>Tanggal Lahir</label>
                                <div class="input-group">
                                    <input id="TanggalLahir" type="text" name="TanggalLahir" class="form-control" data-toggle="datepicker" placeholder="dd-mm-yyyy" data-input="wajib" label="Tanggal Lahir" required>
                                </div>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>E-Mail</label>
                                <div class="input-group">
                                    <input id="Email" type="email" name="Email" class="form-control" placeholder="Ketik Alamat E-Mail..." data-input="wajib" label="Email" required>
                                </div>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <div class="form-group">
                                <label>Nomor HP</label>
                                <div class="input-group">
                                    <input id="NoHandphone" type="number" name="NoHandphone" class="form-control" placeholder="Ketik Nomor HP..." data-input="wajib" label="No. Handphone" required>
                                </div>
                                <div class="invalid-feedback">
                                    Kolom Wajib diisi.
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form-group form-recaptcha">
                                <div class="input-group">
                                    <div class="g-recaptcha" data-sitekey="<!-- Put reCaptcha Site Key -->" data-callback="verifyRecaptchaCallback" data-expired-callback="expiredRecaptchaCallback"></div>
                                    <input class="form-control d-none" style="display:none;" data-recaptcha="true" required data-error="Please complete the Captcha">
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 col-md-12 text-right">
                            <button name="submit" type="button" id="BtnRegister" onclick="Register()" value="Submit" class="site-button" disabled>Daftar Sekarang !</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!--- modal --->
<div class="modal fade" id="modalSaudaraKandung" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <span id="htmlPertanyaanSK">Apakah Ananda memliki saudara kandung di Sekolah At Taufiq?</span>
                <form id="FormSaudaraKandung" style="display:none;">
                    <input type="hidden" id="IdSiswaSaudara" />
                    <div class="form-group">
                        <label for="exampleFormControlInput1">NIS Saudara</label>
                        <input type="number" class="form-control" name="IdSiswaSaudara" id="NisnSaudara" placeholder="Ketik NIS Saudara...">
                        <small>Pastikan Suadara ananda tidak memiliki tunggakan biaya pendidikan</small>
                    </div>

                    <div class="alert alert-success" id="alertSK" role="alert" style="display:none;">
                        <p class="mb-0">Berhasil ditemukan, data saudara anda.</p>
                        <p class="mb-0">Nama : <span id="resNamaSK"></span></p>
                        <p class="mb-0">Kelas : <span id="resKelasSK"></span></p>
                    </div>
                    <div class="alert alert-danger" id="alertSKGagal" role="alert" style="display:none;">
                        <p class="mb-0">Nisn Tidak ditemukan.</p>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" onclick="DataSaudaraKandungReset();" class="site-button-secondry">
                     Tidak Memiliki
                </button>
                <button type="button" onclick="DataSaudaraKandung(false);" id="BtnMemilikiSK" class="site-button">
                    <div id="htmlBtnMemilikiSk">Ya, Saya Memiliki</div>
                </button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalNikOrtu" tabindex="-1" role="dialog" data-keyboard="false">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content bg-success">
            <div class="alert alert-success">
                <p class="mb-0"><i class="fa fa-check"></i> &nbsp;<b>Berhasil ditemukan</b></p>
                <p class="mb-0">NIK : <span id="PvNik"></span></p>
                <p class="mb-0">Jenis Kelamin : <span id="PvJK"></span></p>
                <p class="mb-0">Tempat Lahir : <span id="PvTL"></span></p>
                <p class="mb-0">Usia : <span id="PvUsia"></span></p>
                <p class="mb-0">Ulang Tahun : <span id="PvUltah"></span></p>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalTagihan" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content bg-danger">
            <div class="alert alert-danger">
                <p class="mb-0">
                    Mohon maaf saat ini ananda belum bisa melakukan pendaftaran,  silahkan menghubungi bagian keuangan untuk menyelesaikan administrasi sekolah!
                </p>
                <hr />
                <p class="mb-0">
                    <b><i class="fa fa-user"></i> Admin Keuangan</b> <br />
                    Nomor Whatsapp : <a href="http://wa.me/6285718644500" target="_blank">0857 1864 4500</a>
                    <br />
                    <b><i class="fa fa-cog"></i>  Jam Kerja</b> <br />
                    Jam kerja Senin-Jumat Pkl 08:00 - 12:00
                </p>
                <p class="mt-4 text-right">
                    <a href="/ppdb" class="site-button-secondry">
                        Kembali
                    </a>
                </p>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalPindahan" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <p>Pindahan dari sekolah lain melihat ketersediaan kursi di kelas yang dituju, silahkan hubungi nomor kontak Sekolah At Taufiq untuk ketersediaan kursi</p>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="site-button-secondry">
                     Ya, mengerti
                </button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalSdSmp" tabindex="-1" role="dialog" data-keyboard="false">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <p>Ayah dan Bunda yang dirahmati Allah, untuk saat ini kami belum membuka PPDB jenjang SDIT dan SMPIT. In Syaa-a Allah kami akan menginformasikan kepada ayah dan bunda yang ingin mendaftarkan ananda ke SDIT dan SMPIT At Taufiq, untuk itu mohon kesediaan untuk mengisi formulir daftar peminat yang bisa di klik melalui tombol di bawah ini. jazakumullahu khairan atas perhatian dan kesedian ayah dan bunda, semoga Allah memudahkan setiap urusan kita.</p>
            </div>
            <div class="modal-footer">
                <A href="/ppdb/daftarpeminat" target="_blank" class="site-button-secondry">
                     Buku Tamu Peminat
                </A>
            </div>
        </div>
    </div>
</div>